io.undertow.conduits

## Class GzipStreamSourceConduit

- java.lang.Object
- - org.xnio.conduits.AbstractConduit<D>
  - - org.xnio.conduits.AbstractSourceConduit<D>
    - - org.xnio.conduits.AbstractStreamSourceConduit<org.xnio.conduits.StreamSourceConduit>
      - - io.undertow.conduits.InflatingStreamSourceConduit
        - - io.undertow.conduits.GzipStreamSourceConduit

All Implemented Interfaces:
  org.xnio.conduits.Conduit, org.xnio.conduits.SourceConduit, org.xnio.conduits.StreamSourceConduit

    public class GzipStreamSourceConduit
    extends InflatingStreamSourceConduit

Author:
  Stuart Douglas

### Field Summary

Fields
`static ConduitWrapper<org.xnio.conduits.StreamSourceConduit>` `WRAPPER`

### Fields inherited from class org.xnio.conduits.AbstractConduit

`next`

### Constructor Summary

Constructors
Constructor and Description
`GzipStreamSourceConduit(HttpServerExchange exchange, org.xnio.conduits.StreamSourceConduit next)`
`GzipStreamSourceConduit(HttpServerExchange exchange, org.xnio.conduits.StreamSourceConduit next, ObjectPool<Inflater> inflaterPool)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `dataDeflated(byte[] data, int off, int len)`
`protected void` `readFooter(ByteBuffer buf)`
`protected boolean` `readHeader(ByteBuffer headerData)`

### Methods inherited from class io.undertow.conduits.InflatingStreamSourceConduit

`newInstanceInflaterPool, read, read, simpleInflaterPool, terminateReads, transferTo, transferTo`

### Methods inherited from class org.xnio.conduits.AbstractSourceConduit

`awaitReadable, awaitReadable, getReadThread, isReadResumed, isReadShutdown, resumeReads, setReadReadyHandler, suspendReads, wakeupReads`

### Methods inherited from class org.xnio.conduits.AbstractConduit

`getWorker`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.xnio.conduits.SourceConduit

`awaitReadable, awaitReadable, getReadThread, isReadResumed, isReadShutdown, resumeReads, setReadReadyHandler, suspendReads, wakeupReads`

### Methods inherited from interface org.xnio.conduits.Conduit

`getWorker`

### Field Detail

#### WRAPPER

    public static final ConduitWrapper<org.xnio.conduits.StreamSourceConduit> WRAPPER

### Constructor Detail

#### GzipStreamSourceConduit

    public GzipStreamSourceConduit(HttpServerExchange exchange,
                                   org.xnio.conduits.StreamSourceConduit next)

#### GzipStreamSourceConduit

    public GzipStreamSourceConduit(HttpServerExchange exchange,
                                   org.xnio.conduits.StreamSourceConduit next,
                                   ObjectPool<Inflater> inflaterPool)

### Method Detail

#### readHeader

    protected boolean readHeader(ByteBuffer headerData)
                          throws IOException

Overrides:
  `readHeader` in class `InflatingStreamSourceConduit`
Throws:
  `IOException`

#### readFooter

    protected void readFooter(ByteBuffer buf)
                       throws IOException

Overrides:
  `readFooter` in class `InflatingStreamSourceConduit`
Throws:
  `IOException`

#### dataDeflated

    protected void dataDeflated(byte[] data,
                                int off,
                                int len)

Overrides:
  `dataDeflated` in class `InflatingStreamSourceConduit`